apiVersion: service.aep.asag.io/v1
kind: Definition
metadata:
  namespace: asag
  name: lamp-0.1.2
spec:
  name: lamp
  version: 0.1.2
  includes:
    - vendor: asag
      name: defaults-service
      version: 0.2.3
  clusters:
    - name: lamp
      flags:
        - key: v1_role
          from: value
          value: lamp
          to: label
        - key: v1_serverid
          from: value
          value: 1
          to: label
        - key: v1_dbmaster
          from: value
          value: true
          to: label
        - key: v1_is_master
          from: value
          value: true
          to: label
      sizing:
        initial: 1
        minimum: 1
        maximum: 1
        increment: 1
      podspec:
        containers:
          - name: lamp
            image: aep/base_jammy
      provides:
        - name: lamp
          network: loadbalanced
          exposed: true
          servicespec:
            ports: []
  settings:
    - name: environment
      schema:
        default: lamp_prod
  dependencies:
    operator:
      name: lamp-operator
      vendor: asag
      version: 0.1.2
